# -*- coding: utf-8 -*-
#
# File: config.py
#
# Copyright (c) 2006 by Zest Software
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Maurits van Rees <m.van.rees@zestsoftware.nl>"""
__docformat__ = 'plaintext'

PROJECTNAME = 'ldapconfig'
import logging
log = logging.getLogger(PROJECTNAME)

# Check for Plone 2.5
try:
    from Products.CMFPlone.migrations import v2_5
except ImportError:
    HAS_PLONE25 = False
    log.error("%s only works with Plone 2.5 (and up).", PROJECTNAME)
else:
    HAS_PLONE25 = True


DEPENDENCIES = [
    'LDAPUserFolder',
    'LDAPMultiPlugins',
    ]
PRODUCT_DEPENDENCIES = [
    #'SessionCrumbler',
    ]

# Load default ldap configuration
import configuration
ldapConfig = configuration.Configuration().configData
